Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj	(revision 9495)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj	(revision 9496)
@@ -156,5 +156,5 @@
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
-   <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+    <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
 set ProjectDir=$(ProjectDir)
 set SolutionDir=$(SolutionDir)
@@ -163,5 +163,5 @@
 call PreBuildEvent.cmd
 </PreBuildEvent>
-<PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
+    <PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
 export ProjectDir=$(ProjectDir)
 export SolutionDir=$(SolutionDir)
Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs	(revision 9495)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs	(revision 9496)
@@ -45,4 +45,5 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       this.titleTextBox = new System.Windows.Forms.TextBox();
       this.label1 = new System.Windows.Forms.Label();
@@ -63,5 +64,9 @@
       this.label10 = new System.Windows.Forms.Label();
       this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.showSecondaryYAxisCheckBox = new System.Windows.Forms.CheckBox();
+      this.showSecondaryXAxisCheckBox = new System.Windows.Forms.CheckBox();
       this.groupBox2 = new System.Windows.Forms.GroupBox();
+      this.showPrimaryYAxisCheckBox = new System.Windows.Forms.CheckBox();
+      this.showPrimaryXAxisCheckBox = new System.Windows.Forms.CheckBox();
       this.primaryXTextBox = new System.Windows.Forms.TextBox();
       this.primaryYTextBox = new System.Windows.Forms.TextBox();
@@ -85,9 +90,10 @@
       this.label8 = new System.Windows.Forms.Label();
       this.previewPictureBox = new System.Windows.Forms.PictureBox();
+      this.label19 = new System.Windows.Forms.Label();
       this.label13 = new System.Windows.Forms.Label();
+      this.rawImageSizeLabel = new System.Windows.Forms.Label();
       this.previewZoomLabel = new System.Windows.Forms.Label();
       this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
-      this.label19 = new System.Windows.Forms.Label();
-      this.rawImageSizeLabel = new System.Windows.Forms.Label();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       ((System.ComponentModel.ISupportInitialize)(this.widthNumericUD)).BeginInit();
       this.groupBox1.SuspendLayout();
@@ -104,8 +110,9 @@
       // titleTextBox
       // 
-      this.titleTextBox.Location = new System.Drawing.Point(62, 11);
+      this.titleTextBox.Location = new System.Drawing.Point(84, 11);
       this.titleTextBox.Name = "titleTextBox";
-      this.titleTextBox.Size = new System.Drawing.Size(203, 20);
+      this.titleTextBox.Size = new System.Drawing.Size(159, 20);
       this.titleTextBox.TabIndex = 1;
+      this.toolTip.SetToolTip(this.titleTextBox, "The title of the chart, will be removed if set to empty.");
       this.titleTextBox.TextChanged += new System.EventHandler(this.titleTextBox_TextChanged);
       // 
@@ -126,5 +133,5 @@
       this.okButton.Name = "okButton";
       this.okButton.Size = new System.Drawing.Size(75, 23);
-      this.okButton.TabIndex = 13;
+      this.okButton.TabIndex = 2;
       this.okButton.Text = "Save";
       this.okButton.UseVisualStyleBackColor = true;
@@ -134,18 +141,19 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(10, 14);
+      this.label2.Location = new System.Drawing.Point(18, 14);
       this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(30, 13);
+      this.label2.Size = new System.Drawing.Size(54, 13);
       this.label2.TabIndex = 0;
-      this.label2.Text = "Title:";
+      this.label2.Text = "Title Text:";
       // 
       // secondaryXTextBox
       // 
-      this.secondaryXTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.secondaryXTextBox.Location = new System.Drawing.Point(49, 27);
+      this.secondaryXTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.secondaryXTextBox.Location = new System.Drawing.Point(72, 27);
       this.secondaryXTextBox.Name = "secondaryXTextBox";
-      this.secondaryXTextBox.Size = new System.Drawing.Size(203, 20);
+      this.secondaryXTextBox.Size = new System.Drawing.Size(159, 20);
       this.secondaryXTextBox.TabIndex = 1;
+      this.toolTip.SetToolTip(this.secondaryXTextBox, "Label of the secondary x-axis");
       this.secondaryXTextBox.TextChanged += new System.EventHandler(this.secondaryXTextBox_TextChanged);
       // 
@@ -155,16 +163,17 @@
       this.label3.Location = new System.Drawing.Point(6, 30);
       this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(23, 13);
+      this.label3.Size = new System.Drawing.Size(46, 13);
       this.label3.TabIndex = 0;
-      this.label3.Text = "X2:";
+      this.label3.Text = "X Label:";
       // 
       // secondaryYTextBox
       // 
-      this.secondaryYTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.secondaryYTextBox.Location = new System.Drawing.Point(49, 53);
+      this.secondaryYTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.secondaryYTextBox.Location = new System.Drawing.Point(72, 53);
       this.secondaryYTextBox.Name = "secondaryYTextBox";
-      this.secondaryYTextBox.Size = new System.Drawing.Size(203, 20);
-      this.secondaryYTextBox.TabIndex = 3;
+      this.secondaryYTextBox.Size = new System.Drawing.Size(159, 20);
+      this.secondaryYTextBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.secondaryYTextBox, "Label of the secondary y-axis");
       this.secondaryYTextBox.TextChanged += new System.EventHandler(this.secondaryYTextBox_TextChanged);
       // 
@@ -174,7 +183,7 @@
       this.label4.Location = new System.Drawing.Point(6, 56);
       this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(23, 13);
-      this.label4.TabIndex = 2;
-      this.label4.Text = "Y2:";
+      this.label4.Size = new System.Drawing.Size(46, 13);
+      this.label4.TabIndex = 3;
+      this.label4.Text = "Y Label:";
       // 
       // resolutionComboBox
@@ -185,9 +194,14 @@
             "96",
             "150",
-            "300"});
-      this.resolutionComboBox.Location = new System.Drawing.Point(76, 383);
+            "300",
+            "600",
+            "800",
+            "1200"});
+      this.resolutionComboBox.Location = new System.Drawing.Point(84, 383);
       this.resolutionComboBox.Name = "resolutionComboBox";
-      this.resolutionComboBox.Size = new System.Drawing.Size(75, 21);
-      this.resolutionComboBox.TabIndex = 6;
+      this.resolutionComboBox.Size = new System.Drawing.Size(83, 21);
+      this.resolutionComboBox.TabIndex = 8;
+      this.toolTip.SetToolTip(this.resolutionComboBox, "Specify the resolution of the output image, use a minimum of 300dpi if the image " +
+        "should appear in a publication.");
       this.resolutionComboBox.TextChanged += new System.EventHandler(this.resolutionComboBox_TextChanged);
       this.resolutionComboBox.Validating += new System.ComponentModel.CancelEventHandler(this.resolutionComboBox_Validating);
@@ -201,5 +215,5 @@
             0,
             65536});
-      this.widthNumericUD.Location = new System.Drawing.Point(76, 410);
+      this.widthNumericUD.Location = new System.Drawing.Point(84, 410);
       this.widthNumericUD.Minimum = new decimal(new int[] {
             1,
@@ -208,6 +222,6 @@
             65536});
       this.widthNumericUD.Name = "widthNumericUD";
-      this.widthNumericUD.Size = new System.Drawing.Size(75, 20);
-      this.widthNumericUD.TabIndex = 8;
+      this.widthNumericUD.Size = new System.Drawing.Size(83, 20);
+      this.widthNumericUD.TabIndex = 11;
       this.widthNumericUD.Value = new decimal(new int[] {
             8,
@@ -220,8 +234,8 @@
       // 
       this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(10, 386);
+      this.label5.Location = new System.Drawing.Point(18, 386);
       this.label5.Name = "label5";
       this.label5.Size = new System.Drawing.Size(60, 13);
-      this.label5.TabIndex = 5;
+      this.label5.TabIndex = 7;
       this.label5.Text = "Resolution:";
       // 
@@ -229,14 +243,14 @@
       // 
       this.label6.AutoSize = true;
-      this.label6.Location = new System.Drawing.Point(10, 412);
+      this.label6.Location = new System.Drawing.Point(18, 412);
       this.label6.Name = "label6";
       this.label6.Size = new System.Drawing.Size(38, 13);
-      this.label6.TabIndex = 7;
+      this.label6.TabIndex = 10;
       this.label6.Text = "Width:";
       // 
       // axisFontSizeComboBox
       // 
-      this.axisFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.axisFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.axisFontSizeComboBox.FormattingEnabled = true;
       this.axisFontSizeComboBox.Items.AddRange(new object[] {
@@ -252,8 +266,9 @@
             "36",
             "72"});
-      this.axisFontSizeComboBox.Location = new System.Drawing.Point(54, 46);
+      this.axisFontSizeComboBox.Location = new System.Drawing.Point(72, 46);
       this.axisFontSizeComboBox.Name = "axisFontSizeComboBox";
-      this.axisFontSizeComboBox.Size = new System.Drawing.Size(84, 21);
-      this.axisFontSizeComboBox.TabIndex = 3;
+      this.axisFontSizeComboBox.Size = new System.Drawing.Size(159, 21);
+      this.axisFontSizeComboBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.axisFontSizeComboBox, "The font size of the axis labels");
       this.axisFontSizeComboBox.TextChanged += new System.EventHandler(this.axisFontSizeComboBox_TextChanged);
       this.axisFontSizeComboBox.Validating += new System.ComponentModel.CancelEventHandler(this.numericComboBox_Validating);
@@ -261,6 +276,6 @@
       // scalesFontSizeComboBox
       // 
-      this.scalesFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.scalesFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.scalesFontSizeComboBox.FormattingEnabled = true;
       this.scalesFontSizeComboBox.Items.AddRange(new object[] {
@@ -280,8 +295,9 @@
             "36",
             "72"});
-      this.scalesFontSizeComboBox.Location = new System.Drawing.Point(54, 73);
+      this.scalesFontSizeComboBox.Location = new System.Drawing.Point(72, 73);
       this.scalesFontSizeComboBox.Name = "scalesFontSizeComboBox";
-      this.scalesFontSizeComboBox.Size = new System.Drawing.Size(84, 21);
-      this.scalesFontSizeComboBox.TabIndex = 5;
+      this.scalesFontSizeComboBox.Size = new System.Drawing.Size(159, 21);
+      this.scalesFontSizeComboBox.TabIndex = 7;
+      this.toolTip.SetToolTip(this.scalesFontSizeComboBox, "The font size of the scales");
       this.scalesFontSizeComboBox.TextChanged += new System.EventHandler(this.scalesFontSizeComboBox_TextChanged);
       this.scalesFontSizeComboBox.Validating += new System.ComponentModel.CancelEventHandler(this.numericComboBox_Validating);
@@ -293,5 +309,5 @@
       this.cancelButton.Name = "cancelButton";
       this.cancelButton.Size = new System.Drawing.Size(75, 23);
-      this.cancelButton.TabIndex = 14;
+      this.cancelButton.TabIndex = 0;
       this.cancelButton.Text = "Cancel";
       this.cancelButton.UseVisualStyleBackColor = true;
@@ -301,8 +317,8 @@
       // 
       this.label9.AutoSize = true;
-      this.label9.Location = new System.Drawing.Point(6, 51);
+      this.label9.Location = new System.Drawing.Point(6, 49);
       this.label9.Name = "label9";
       this.label9.Size = new System.Drawing.Size(29, 13);
-      this.label9.TabIndex = 2;
+      this.label9.TabIndex = 3;
       this.label9.Text = "Axis:";
       // 
@@ -313,9 +329,11 @@
       this.label10.Name = "label10";
       this.label10.Size = new System.Drawing.Size(42, 13);
-      this.label10.TabIndex = 4;
+      this.label10.TabIndex = 6;
       this.label10.Text = "Scales:";
       // 
       // groupBox1
       // 
+      this.groupBox1.Controls.Add(this.showSecondaryYAxisCheckBox);
+      this.groupBox1.Controls.Add(this.showSecondaryXAxisCheckBox);
       this.groupBox1.Controls.Add(this.secondaryXTextBox);
       this.groupBox1.Controls.Add(this.secondaryYTextBox);
@@ -325,10 +343,34 @@
       this.groupBox1.Name = "groupBox1";
       this.groupBox1.Size = new System.Drawing.Size(258, 82);
-      this.groupBox1.TabIndex = 3;
+      this.groupBox1.TabIndex = 5;
       this.groupBox1.TabStop = false;
       this.groupBox1.Text = "Secondary Axis";
       // 
+      // showSecondaryYAxisCheckBox
+      // 
+      this.showSecondaryYAxisCheckBox.AutoSize = true;
+      this.showSecondaryYAxisCheckBox.Location = new System.Drawing.Point(237, 56);
+      this.showSecondaryYAxisCheckBox.Name = "showSecondaryYAxisCheckBox";
+      this.showSecondaryYAxisCheckBox.Size = new System.Drawing.Size(15, 14);
+      this.showSecondaryYAxisCheckBox.TabIndex = 5;
+      this.toolTip.SetToolTip(this.showSecondaryYAxisCheckBox, "Display");
+      this.showSecondaryYAxisCheckBox.UseVisualStyleBackColor = true;
+      this.showSecondaryYAxisCheckBox.CheckedChanged += new System.EventHandler(this.showSecondaryYAxisCheckBox_CheckedChanged);
+      // 
+      // showSecondaryXAxisCheckBox
+      // 
+      this.showSecondaryXAxisCheckBox.AutoSize = true;
+      this.showSecondaryXAxisCheckBox.Location = new System.Drawing.Point(237, 30);
+      this.showSecondaryXAxisCheckBox.Name = "showSecondaryXAxisCheckBox";
+      this.showSecondaryXAxisCheckBox.Size = new System.Drawing.Size(15, 14);
+      this.showSecondaryXAxisCheckBox.TabIndex = 2;
+      this.toolTip.SetToolTip(this.showSecondaryXAxisCheckBox, "Display");
+      this.showSecondaryXAxisCheckBox.UseVisualStyleBackColor = true;
+      this.showSecondaryXAxisCheckBox.CheckedChanged += new System.EventHandler(this.showSecondaryXAxisCheckBox_CheckedChanged);
+      // 
       // groupBox2
       // 
+      this.groupBox2.Controls.Add(this.showPrimaryYAxisCheckBox);
+      this.groupBox2.Controls.Add(this.showPrimaryXAxisCheckBox);
       this.groupBox2.Controls.Add(this.primaryXTextBox);
       this.groupBox2.Controls.Add(this.primaryYTextBox);
@@ -338,26 +380,50 @@
       this.groupBox2.Name = "groupBox2";
       this.groupBox2.Size = new System.Drawing.Size(258, 84);
-      this.groupBox2.TabIndex = 2;
+      this.groupBox2.TabIndex = 4;
       this.groupBox2.TabStop = false;
       this.groupBox2.Text = "Primary Axis";
       // 
+      // showPrimaryYAxisCheckBox
+      // 
+      this.showPrimaryYAxisCheckBox.AutoSize = true;
+      this.showPrimaryYAxisCheckBox.Location = new System.Drawing.Point(237, 56);
+      this.showPrimaryYAxisCheckBox.Name = "showPrimaryYAxisCheckBox";
+      this.showPrimaryYAxisCheckBox.Size = new System.Drawing.Size(15, 14);
+      this.showPrimaryYAxisCheckBox.TabIndex = 5;
+      this.toolTip.SetToolTip(this.showPrimaryYAxisCheckBox, "Display");
+      this.showPrimaryYAxisCheckBox.UseVisualStyleBackColor = true;
+      this.showPrimaryYAxisCheckBox.CheckedChanged += new System.EventHandler(this.showPrimaryYAxisCheckBox_CheckedChanged);
+      // 
+      // showPrimaryXAxisCheckBox
+      // 
+      this.showPrimaryXAxisCheckBox.AutoSize = true;
+      this.showPrimaryXAxisCheckBox.Location = new System.Drawing.Point(237, 30);
+      this.showPrimaryXAxisCheckBox.Name = "showPrimaryXAxisCheckBox";
+      this.showPrimaryXAxisCheckBox.Size = new System.Drawing.Size(15, 14);
+      this.showPrimaryXAxisCheckBox.TabIndex = 2;
+      this.toolTip.SetToolTip(this.showPrimaryXAxisCheckBox, "Display");
+      this.showPrimaryXAxisCheckBox.UseVisualStyleBackColor = true;
+      this.showPrimaryXAxisCheckBox.CheckedChanged += new System.EventHandler(this.showPrimaryXAxisCheckBox_CheckedChanged);
+      // 
       // primaryXTextBox
       // 
-      this.primaryXTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.primaryXTextBox.Location = new System.Drawing.Point(49, 27);
+      this.primaryXTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.primaryXTextBox.Location = new System.Drawing.Point(72, 27);
       this.primaryXTextBox.Name = "primaryXTextBox";
-      this.primaryXTextBox.Size = new System.Drawing.Size(203, 20);
+      this.primaryXTextBox.Size = new System.Drawing.Size(159, 20);
       this.primaryXTextBox.TabIndex = 1;
+      this.toolTip.SetToolTip(this.primaryXTextBox, "Label of the primary x-axis");
       this.primaryXTextBox.TextChanged += new System.EventHandler(this.primaryXTextBox_TextChanged);
       // 
       // primaryYTextBox
       // 
-      this.primaryYTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.primaryYTextBox.Location = new System.Drawing.Point(49, 53);
+      this.primaryYTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.primaryYTextBox.Location = new System.Drawing.Point(72, 53);
       this.primaryYTextBox.Name = "primaryYTextBox";
-      this.primaryYTextBox.Size = new System.Drawing.Size(203, 20);
-      this.primaryYTextBox.TabIndex = 3;
+      this.primaryYTextBox.Size = new System.Drawing.Size(159, 20);
+      this.primaryYTextBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.primaryYTextBox, "Label of the primary y-axis");
       this.primaryYTextBox.TextChanged += new System.EventHandler(this.primaryYTextBox_TextChanged);
       // 
@@ -367,7 +433,7 @@
       this.label14.Location = new System.Drawing.Point(6, 56);
       this.label14.Name = "label14";
-      this.label14.Size = new System.Drawing.Size(17, 13);
-      this.label14.TabIndex = 2;
-      this.label14.Text = "Y:";
+      this.label14.Size = new System.Drawing.Size(46, 13);
+      this.label14.TabIndex = 3;
+      this.label14.Text = "Y Label:";
       // 
       // label15
@@ -376,7 +442,7 @@
       this.label15.Location = new System.Drawing.Point(6, 30);
       this.label15.Name = "label15";
-      this.label15.Size = new System.Drawing.Size(17, 13);
+      this.label15.Size = new System.Drawing.Size(46, 13);
       this.label15.TabIndex = 0;
-      this.label15.Text = "X:";
+      this.label15.Text = "X Label:";
       // 
       // groupBox3
@@ -397,5 +463,5 @@
       this.groupBox3.Name = "groupBox3";
       this.groupBox3.Size = new System.Drawing.Size(258, 131);
-      this.groupBox3.TabIndex = 4;
+      this.groupBox3.TabIndex = 6;
       this.groupBox3.TabStop = false;
       this.groupBox3.Text = "Font Size";
@@ -404,8 +470,8 @@
       // 
       this.label18.AutoSize = true;
-      this.label18.Location = new System.Drawing.Point(144, 105);
+      this.label18.Location = new System.Drawing.Point(234, 105);
       this.label18.Name = "label18";
       this.label18.Size = new System.Drawing.Size(16, 13);
-      this.label18.TabIndex = 0;
+      this.label18.TabIndex = 11;
       this.label18.Text = "pt";
       // 
@@ -413,8 +479,8 @@
       // 
       this.label12.AutoSize = true;
-      this.label12.Location = new System.Drawing.Point(144, 78);
+      this.label12.Location = new System.Drawing.Point(234, 78);
       this.label12.Name = "label12";
       this.label12.Size = new System.Drawing.Size(16, 13);
-      this.label12.TabIndex = 0;
+      this.label12.TabIndex = 8;
       this.label12.Text = "pt";
       // 
@@ -422,8 +488,8 @@
       // 
       this.label11.AutoSize = true;
-      this.label11.Location = new System.Drawing.Point(144, 51);
+      this.label11.Location = new System.Drawing.Point(234, 49);
       this.label11.Name = "label11";
       this.label11.Size = new System.Drawing.Size(16, 13);
-      this.label11.TabIndex = 0;
+      this.label11.TabIndex = 5;
       this.label11.Text = "pt";
       // 
@@ -431,14 +497,14 @@
       // 
       this.label7.AutoSize = true;
-      this.label7.Location = new System.Drawing.Point(144, 22);
+      this.label7.Location = new System.Drawing.Point(234, 22);
       this.label7.Name = "label7";
       this.label7.Size = new System.Drawing.Size(16, 13);
-      this.label7.TabIndex = 0;
+      this.label7.TabIndex = 2;
       this.label7.Text = "pt";
       // 
       // legendFontSizeComboBox
       // 
-      this.legendFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.legendFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.legendFontSizeComboBox.FormattingEnabled = true;
       this.legendFontSizeComboBox.Items.AddRange(new object[] {
@@ -458,8 +524,9 @@
             "36",
             "72"});
-      this.legendFontSizeComboBox.Location = new System.Drawing.Point(54, 100);
+      this.legendFontSizeComboBox.Location = new System.Drawing.Point(72, 100);
       this.legendFontSizeComboBox.Name = "legendFontSizeComboBox";
-      this.legendFontSizeComboBox.Size = new System.Drawing.Size(84, 21);
-      this.legendFontSizeComboBox.TabIndex = 5;
+      this.legendFontSizeComboBox.Size = new System.Drawing.Size(159, 21);
+      this.legendFontSizeComboBox.TabIndex = 10;
+      this.toolTip.SetToolTip(this.legendFontSizeComboBox, "The font size of the legend text");
       this.legendFontSizeComboBox.TextChanged += new System.EventHandler(this.legendFontSizeComboBox_TextChanged);
       this.legendFontSizeComboBox.Validating += new System.ComponentModel.CancelEventHandler(this.numericComboBox_Validating);
@@ -471,11 +538,11 @@
       this.label17.Name = "label17";
       this.label17.Size = new System.Drawing.Size(46, 13);
-      this.label17.TabIndex = 4;
+      this.label17.TabIndex = 9;
       this.label17.Text = "Legend:";
       // 
       // titleFontSizeComboBox
       // 
-      this.titleFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.titleFontSizeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.titleFontSizeComboBox.FormattingEnabled = true;
       this.titleFontSizeComboBox.Items.AddRange(new object[] {
@@ -491,8 +558,9 @@
             "36",
             "72"});
-      this.titleFontSizeComboBox.Location = new System.Drawing.Point(54, 19);
+      this.titleFontSizeComboBox.Location = new System.Drawing.Point(72, 19);
       this.titleFontSizeComboBox.Name = "titleFontSizeComboBox";
-      this.titleFontSizeComboBox.Size = new System.Drawing.Size(84, 21);
+      this.titleFontSizeComboBox.Size = new System.Drawing.Size(159, 21);
       this.titleFontSizeComboBox.TabIndex = 1;
+      this.toolTip.SetToolTip(this.titleFontSizeComboBox, "The font size of the title text");
       this.titleFontSizeComboBox.TextChanged += new System.EventHandler(this.titleFontSizeComboBox_TextChanged);
       this.titleFontSizeComboBox.Validating += new System.ComponentModel.CancelEventHandler(this.numericComboBox_Validating);
@@ -501,8 +569,8 @@
       // 
       this.label16.AutoSize = true;
-      this.label16.Location = new System.Drawing.Point(10, 438);
+      this.label16.Location = new System.Drawing.Point(18, 438);
       this.label16.Name = "label16";
       this.label16.Size = new System.Drawing.Size(41, 13);
-      this.label16.TabIndex = 10;
+      this.label16.TabIndex = 12;
       this.label16.Text = "Height:";
       // 
@@ -515,5 +583,5 @@
             0,
             65536});
-      this.heightNumericUD.Location = new System.Drawing.Point(76, 436);
+      this.heightNumericUD.Location = new System.Drawing.Point(84, 436);
       this.heightNumericUD.Minimum = new decimal(new int[] {
             1,
@@ -522,8 +590,8 @@
             65536});
       this.heightNumericUD.Name = "heightNumericUD";
-      this.heightNumericUD.Size = new System.Drawing.Size(75, 20);
-      this.heightNumericUD.TabIndex = 11;
+      this.heightNumericUD.Size = new System.Drawing.Size(83, 20);
+      this.heightNumericUD.TabIndex = 13;
       this.heightNumericUD.Value = new decimal(new int[] {
-            8,
+            6,
             0,
             0,
@@ -567,5 +635,5 @@
       this.splitContainer.SplitterDistance = 300;
       this.splitContainer.SplitterWidth = 1;
-      this.splitContainer.TabIndex = 15;
+      this.splitContainer.TabIndex = 1;
       // 
       // chartAreaComboBox
@@ -573,14 +641,15 @@
       this.chartAreaComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.chartAreaComboBox.FormattingEnabled = true;
-      this.chartAreaComboBox.Location = new System.Drawing.Point(76, 37);
+      this.chartAreaComboBox.Location = new System.Drawing.Point(84, 37);
       this.chartAreaComboBox.Name = "chartAreaComboBox";
-      this.chartAreaComboBox.Size = new System.Drawing.Size(189, 21);
-      this.chartAreaComboBox.TabIndex = 17;
+      this.chartAreaComboBox.Size = new System.Drawing.Size(159, 21);
+      this.chartAreaComboBox.TabIndex = 3;
+      this.toolTip.SetToolTip(this.chartAreaComboBox, "Select the chart area in case there are multiple.");
       this.chartAreaComboBox.SelectedIndexChanged += new System.EventHandler(this.chartAreaComboBox_SelectedIndexChanged);
       // 
       // togglePreviewCheckBox
       // 
-      this.togglePreviewCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)));
+      this.togglePreviewCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left)));
       this.togglePreviewCheckBox.Appearance = System.Windows.Forms.Appearance.Button;
       this.togglePreviewCheckBox.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
@@ -590,4 +659,5 @@
       this.togglePreviewCheckBox.TabIndex = 16;
       this.togglePreviewCheckBox.Text = ">";
+      this.toolTip.SetToolTip(this.togglePreviewCheckBox, "Show or hide the preview pane");
       this.togglePreviewCheckBox.UseVisualStyleBackColor = true;
       this.togglePreviewCheckBox.CheckedChanged += new System.EventHandler(this.togglePreviewCheckBox_CheckedChanged);
@@ -597,8 +667,8 @@
       this.lengthUnitComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.lengthUnitComboBox.FormattingEnabled = true;
-      this.lengthUnitComboBox.Location = new System.Drawing.Point(157, 422);
+      this.lengthUnitComboBox.Location = new System.Drawing.Point(173, 422);
       this.lengthUnitComboBox.Name = "lengthUnitComboBox";
-      this.lengthUnitComboBox.Size = new System.Drawing.Size(108, 21);
-      this.lengthUnitComboBox.TabIndex = 6;
+      this.lengthUnitComboBox.Size = new System.Drawing.Size(70, 21);
+      this.lengthUnitComboBox.TabIndex = 14;
       this.lengthUnitComboBox.SelectedIndexChanged += new System.EventHandler(this.lengthUnitComboBox_SelectedIndexChanged);
       // 
@@ -607,8 +677,8 @@
       this.resolutionUnitComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.resolutionUnitComboBox.FormattingEnabled = true;
-      this.resolutionUnitComboBox.Location = new System.Drawing.Point(157, 383);
+      this.resolutionUnitComboBox.Location = new System.Drawing.Point(173, 383);
       this.resolutionUnitComboBox.Name = "resolutionUnitComboBox";
-      this.resolutionUnitComboBox.Size = new System.Drawing.Size(108, 21);
-      this.resolutionUnitComboBox.TabIndex = 6;
+      this.resolutionUnitComboBox.Size = new System.Drawing.Size(70, 21);
+      this.resolutionUnitComboBox.TabIndex = 9;
       this.resolutionUnitComboBox.SelectedIndexChanged += new System.EventHandler(this.resolutionUnitComboBox_SelectedIndexChanged);
       // 
@@ -616,9 +686,9 @@
       // 
       this.label8.AutoSize = true;
-      this.label8.Location = new System.Drawing.Point(10, 40);
+      this.label8.Location = new System.Drawing.Point(18, 40);
       this.label8.Name = "label8";
-      this.label8.Size = new System.Drawing.Size(60, 13);
-      this.label8.TabIndex = 0;
-      this.label8.Text = "Chart Area:";
+      this.label8.Size = new System.Drawing.Size(32, 13);
+      this.label8.TabIndex = 2;
+      this.label8.Text = "Area:";
       // 
       // previewPictureBox
@@ -631,4 +701,13 @@
       this.previewPictureBox.TabStop = false;
       // 
+      // label19
+      // 
+      this.label19.AutoSize = true;
+      this.label19.Location = new System.Drawing.Point(85, 459);
+      this.label19.Name = "label19";
+      this.label19.Size = new System.Drawing.Size(84, 13);
+      this.label19.TabIndex = 10;
+      this.label19.Text = "Raw image size:";
+      // 
       // label13
       // 
@@ -640,4 +719,13 @@
       this.label13.Text = "Zoom:";
       // 
+      // rawImageSizeLabel
+      // 
+      this.rawImageSizeLabel.AutoSize = true;
+      this.rawImageSizeLabel.Location = new System.Drawing.Point(175, 459);
+      this.rawImageSizeLabel.Name = "rawImageSizeLabel";
+      this.rawImageSizeLabel.Size = new System.Drawing.Size(37, 13);
+      this.rawImageSizeLabel.TabIndex = 10;
+      this.rawImageSizeLabel.Text = "0.00M";
+      // 
       // previewZoomLabel
       // 
@@ -652,29 +740,10 @@
       // 
       this.saveFileDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg)|*.jpg|EMF (*.emf)|*.emf|PNG (*.png)|*.png|GIF (" +
-          "*.gif)|*.gif|TIFF (*.tif)|*.tif\"";
+    "*.gif)|*.gif|TIFF (*.tif)|*.tif\"";
       this.saveFileDialog.FilterIndex = 2;
       // 
-      // label19
-      // 
-      this.label19.AutoSize = true;
-      this.label19.Location = new System.Drawing.Point(85, 459);
-      this.label19.Name = "label19";
-      this.label19.Size = new System.Drawing.Size(84, 13);
-      this.label19.TabIndex = 10;
-      this.label19.Text = "Raw image size:";
-      // 
-      // rawImageSizeLabel
-      // 
-      this.rawImageSizeLabel.AutoSize = true;
-      this.rawImageSizeLabel.Location = new System.Drawing.Point(175, 459);
-      this.rawImageSizeLabel.Name = "rawImageSizeLabel";
-      this.rawImageSizeLabel.Size = new System.Drawing.Size(37, 13);
-      this.rawImageSizeLabel.TabIndex = 10;
-      this.rawImageSizeLabel.Text = "0.00M";
-      // 
       // ImageExportDialog
       // 
       this.AcceptButton = this.okButton;
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.CancelButton = this.cancelButton;
@@ -755,4 +824,9 @@
     private System.Windows.Forms.Label label19;
     private System.Windows.Forms.Label rawImageSizeLabel;
+    private System.Windows.Forms.CheckBox showSecondaryYAxisCheckBox;
+    private System.Windows.Forms.CheckBox showSecondaryXAxisCheckBox;
+    private System.Windows.Forms.CheckBox showPrimaryYAxisCheckBox;
+    private System.Windows.Forms.CheckBox showPrimaryXAxisCheckBox;
+    private System.Windows.Forms.ToolTip toolTip;
   }
 }
Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.cs	(revision 9495)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.cs	(revision 9496)
@@ -25,4 +25,5 @@
 using System.Drawing.Imaging;
 using System.IO;
+using System.Linq;
 using System.Windows.Forms;
 using System.Windows.Forms.DataVisualization.Charting;
@@ -58,13 +59,13 @@
         else lengthUnitComboBox.SelectedIndex = 0;
 
-        titleFontSizeComboBox.Text = "12";
+        titleFontSizeComboBox.Text = "10";
         axisFontSizeComboBox.Text = "8";
         scalesFontSizeComboBox.Text = "6";
         legendFontSizeComboBox.Text = "6";
-        resolutionComboBox.Text = "300";
+        resolutionComboBox.Text = "150";
         SuppressEvents = false;
         splitContainer.Panel2Collapsed = true;
         Width = 305;
-        Height = 550;
+        Height = 560;
       } finally { SuppressEvents = false; }
       #endregion
@@ -72,10 +73,10 @@
 
     private void UpdateFields() {
-      ChartArea area = GetCurrentChartArea();
+      var area = GetCurrentChartArea();
 
       try {
         SuppressEvents = true;
 
-        if (workingChart.Titles.Count == 0) titleFontSizeComboBox.Text = "12";
+        if (workingChart.Titles.Count == 0) titleFontSizeComboBox.Text = "10";
         else {
           titleTextBox.Text = workingChart.Titles[0].Text;
@@ -90,5 +91,5 @@
         axisFontSizeComboBox.Text = area.AxisX.TitleFont.SizeInPoints.ToString();
         scalesFontSizeComboBox.Text = area.AxisX.LabelStyle.Font.SizeInPoints.ToString();
-        if (workingChart.Legends.Count == 0) legendFontSizeComboBox.Text = "8";
+        if (workingChart.Legends.Count == 0) legendFontSizeComboBox.Text = "6";
         else legendFontSizeComboBox.Text = workingChart.Legends[0].Font.SizeInPoints.ToString();
       } finally {
@@ -121,5 +122,5 @@
       }
 
-      float scaleFactor = (float)Math.Min(previewWidth / width, previewHeight / height);
+      var scaleFactor = (float)Math.Min(previewWidth / width, previewHeight / height);
       if (scaleFactor >= 1) {
         previewZoomLabel.Text = "100%";
@@ -129,5 +130,5 @@
       rawImageSizeLabel.Text = GetRawImageSizeInMegabytes(width, height).ToString("0.00") + "M   " + "(" + Math.Round(width).ToString("0") + " x " + Math.Round(height).ToString("0") + ") pixels";
 
-      Bitmap image = new Bitmap(previewWidth, previewHeight);
+      var image = new Bitmap(previewWidth, previewHeight);
       image.SetResolution(dpi, dpi);
       using (Graphics graphics = Graphics.FromImage(image)) {
@@ -155,5 +156,5 @@
       originalChart.Serializer.Content = SerializationContents.Default;
       originalChart.Serializer.Format = SerializationFormat.Binary;
-      MemoryStream ms = new MemoryStream();
+      var ms = new MemoryStream();
       originalChart.Serializer.Save(ms);
 
@@ -169,8 +170,15 @@
 
       chartAreaComboBox.Items.Clear();
-      foreach (ChartArea area in originalChart.ChartAreas) {
+      foreach (var area in originalChart.ChartAreas) {
         chartAreaComboBox.Items.Add(area.Name);
       }
       chartAreaComboBox.SelectedIndex = 0;
+      SuppressEvents = true;
+      try {
+        showPrimaryXAxisCheckBox.Checked = originalChart.Series.Any(x => x.XAxisType == AxisType.Primary);
+        showPrimaryYAxisCheckBox.Checked = originalChart.Series.Any(x => x.YAxisType == AxisType.Primary);
+        showSecondaryXAxisCheckBox.Checked = originalChart.Series.Any(x => x.XAxisType == AxisType.Secondary);
+        showSecondaryYAxisCheckBox.Checked = originalChart.Series.Any(x => x.YAxisType == AxisType.Secondary);
+      } finally { SuppressEvents = false; }
       base.OnShown(e);
 
@@ -195,10 +203,14 @@
     private void titleTextBox_TextChanged(object sender, EventArgs e) {
       if (!SuppressEvents) {
-        if (workingChart.Titles.Count > 0) {
-          workingChart.Titles[0].Text = titleTextBox.Text;
-        } else {
-          Title t = new Title(titleTextBox.Text);
-          t.Font = ChangeFontSizePt(t.Font, float.Parse(titleFontSizeComboBox.Text));
-          workingChart.Titles.Add(t);
+        if (string.IsNullOrEmpty(titleTextBox.Text))
+          workingChart.Titles.Clear();
+        else {
+          if (workingChart.Titles.Count > 0) {
+            workingChart.Titles[0].Text = titleTextBox.Text;
+          } else {
+            var t = new Title(titleTextBox.Text);
+            t.Font = ChangeFontSizePt(t.Font, float.Parse(titleFontSizeComboBox.Text));
+            workingChart.Titles.Add(t);
+          }
         }
         if (togglePreviewCheckBox.Checked) UpdatePreview();
@@ -208,5 +220,5 @@
     private void primaryXTextBox_TextChanged(object sender, EventArgs e) {
       if (!SuppressEvents) {
-        ChartArea area = GetCurrentChartArea();
+        var area = GetCurrentChartArea();
         area.AxisX.Title = primaryXTextBox.Text;
         if (togglePreviewCheckBox.Checked) UpdatePreview();
@@ -216,5 +228,5 @@
     private void primaryYTextBox_TextChanged(object sender, EventArgs e) {
       if (!SuppressEvents) {
-        ChartArea area = GetCurrentChartArea();
+        var area = GetCurrentChartArea();
         area.AxisY.Title = primaryYTextBox.Text;
         if (togglePreviewCheckBox.Checked) UpdatePreview();
@@ -224,5 +236,5 @@
     private void secondaryXTextBox_TextChanged(object sender, EventArgs e) {
       if (!SuppressEvents) {
-        ChartArea area = GetCurrentChartArea();
+        var area = GetCurrentChartArea();
         area.AxisX2.Title = secondaryXTextBox.Text;
         if (togglePreviewCheckBox.Checked) UpdatePreview();
@@ -232,6 +244,42 @@
     private void secondaryYTextBox_TextChanged(object sender, EventArgs e) {
       if (!SuppressEvents) {
-        ChartArea area = GetCurrentChartArea();
+        var area = GetCurrentChartArea();
         area.AxisY2.Title = secondaryYTextBox.Text;
+        if (togglePreviewCheckBox.Checked) UpdatePreview();
+      }
+    }
+
+    private void showPrimaryXAxisCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (!SuppressEvents) {
+        var area = GetCurrentChartArea();
+        var isChecked = ((CheckBox)sender).Checked;
+        area.AxisX.Enabled = isChecked ? AxisEnabled.True : AxisEnabled.False;
+        if (togglePreviewCheckBox.Checked) UpdatePreview();
+      }
+    }
+
+    private void showPrimaryYAxisCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (!SuppressEvents) {
+        var area = GetCurrentChartArea();
+        var isChecked = ((CheckBox)sender).Checked;
+        area.AxisY.Enabled = isChecked ? AxisEnabled.True : AxisEnabled.False;
+        if (togglePreviewCheckBox.Checked) UpdatePreview();
+      }
+    }
+
+    private void showSecondaryXAxisCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (!SuppressEvents) {
+        var area = GetCurrentChartArea();
+        var isChecked = ((CheckBox)sender).Checked;
+        area.AxisX2.Enabled = isChecked ? AxisEnabled.True : AxisEnabled.False;
+        if (togglePreviewCheckBox.Checked) UpdatePreview();
+      }
+    }
+
+    private void showSecondaryYAxisCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (!SuppressEvents) {
+        var area = GetCurrentChartArea();
+        var isChecked = ((CheckBox)sender).Checked;
+        area.AxisY2.Enabled = isChecked ? AxisEnabled.True : AxisEnabled.False;
         if (togglePreviewCheckBox.Checked) UpdatePreview();
       }
@@ -270,8 +318,7 @@
         float fontSize;
         if (float.TryParse(axisFontSizeComboBox.Text, out fontSize)) {
-          ChartArea area = GetCurrentChartArea();
-          foreach (Axis a in area.Axes) {
+          var area = GetCurrentChartArea();
+          foreach (Axis a in area.Axes)
             a.TitleFont = ChangeFontSizePt(a.TitleFont, fontSize);
-          }
         }
         if (togglePreviewCheckBox.Checked) UpdatePreview();
@@ -283,8 +330,7 @@
         float fontSize;
         if (float.TryParse(scalesFontSizeComboBox.Text, out fontSize)) {
-          ChartArea area = GetCurrentChartArea();
-          foreach (Axis a in area.Axes) {
+          var area = GetCurrentChartArea();
+          foreach (var a in area.Axes)
             a.LabelStyle.Font = ChangeFontSizePt(a.LabelStyle.Font, fontSize);
-          }
         }
         if (togglePreviewCheckBox.Checked) UpdatePreview();
@@ -296,7 +342,6 @@
         float fontSize;
         if (float.TryParse(legendFontSizeComboBox.Text, out fontSize)) {
-          foreach (Legend l in workingChart.Legends) {
+          foreach (var l in workingChart.Legends)
             l.Font = ChangeFontSizePt(l.Font, fontSize);
-          }
         }
         if (togglePreviewCheckBox.Checked) UpdatePreview();
@@ -336,7 +381,7 @@
       GetImageParameters(out dpi, out width, out height);
 
-      Bitmap image = new Bitmap((int)Math.Round(width), (int)Math.Round(height));
+      var image = new Bitmap((int)Math.Round(width), (int)Math.Round(height));
       image.SetResolution(dpi, dpi);
-      using (Graphics graphics = Graphics.FromImage(image)) {
+      using (var graphics = Graphics.FromImage(image)) {
         workingChart.Printing.PrintPaint(graphics, new Rectangle(0, 0, image.Width, image.Height));
       }
@@ -344,6 +389,6 @@
       if (titleTextBox.Text.Trim() != String.Empty) saveFileDialog.FileName = titleTextBox.Text.Trim();
       if (saveFileDialog.ShowDialog() == DialogResult.OK) {
-        ImageFormat format = ImageFormat.Bmp;
-        string filename = saveFileDialog.FileName.ToLower();
+        var format = ImageFormat.Bmp;
+        var filename = saveFileDialog.FileName.ToLower();
         if (filename.EndsWith("jpg")) {
           format = ImageFormat.Jpeg;
